/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.arrebol.taxiservicios.model.admin;

import java.io.Serializable;
import java.util.Date;

/**
 *
 * @author Oscar
 */
public class FeeByDriverGroup implements Serializable{

    private String id;
    private String chofer;
    private Long numFee;
    private Long totalNumFeePaid;
    private Long totalNumFeeToPaid;
    private Long totalNumFeeCondonadas;
    private Double totalFeePaid;
    private Double totalFeeToPaid;
    private String fechaRegisto;
    private int numAvisos;
    private String status;

    public FeeByDriverGroup(String id, String chofer, Long numFee, Long totalNumFeePaid, Long totalNumFeeToPaid, Long totalNumFeeCondonadas, Double totalFeePaid, Double totalFeeToPaid) {
        this.id = id;
        this.chofer = chofer;
        this.numFee = numFee;
        this.totalNumFeePaid = totalNumFeePaid;
        this.totalNumFeeToPaid = totalNumFeeToPaid;
        this.totalNumFeeCondonadas = totalNumFeeCondonadas;
        this.totalFeePaid = totalFeePaid;
        this.totalFeeToPaid = totalFeeToPaid;
    }

    public FeeByDriverGroup(String id, String chofer, Long numFee, Long totalNumFeePaid, Long totalNumFeeToPaid, Long totalNumFeeCondonadas, Double totalFeePaid, Double totalFeeToPaid, String fechaRegisto, int numAvisos, String status) {
        this.id = id;
        this.chofer = chofer;
        this.numFee = numFee;
        this.totalNumFeePaid = totalNumFeePaid;
        this.totalNumFeeToPaid = totalNumFeeToPaid;
        this.totalNumFeeCondonadas = totalNumFeeCondonadas;
        this.totalFeePaid = totalFeePaid;
        this.totalFeeToPaid = totalFeeToPaid;
        this.fechaRegisto = fechaRegisto;
        this.numAvisos = numAvisos;
        this.status = status;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getFechaRegisto() {
        return fechaRegisto;
    }

    public void setFechaRegisto(String fechaRegisto) {
        this.fechaRegisto = fechaRegisto;
    }
    
    

    public FeeByDriverGroup() {
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getChofer() {
        return chofer;
    }

    public void setChofer(String chofer) {
        this.chofer = chofer;
    }

    public Long getNumFee() {
        return numFee;
    }

    public void setNumFee(Long numFee) {
        this.numFee = numFee;
    }

    public Long getTotalNumFeePaid() {
        return totalNumFeePaid;
    }

    public void setTotalNumFeePaid(Long totalNumFeePaid) {
        this.totalNumFeePaid = totalNumFeePaid;
    }

    public Long getTotalNumFeeToPaid() {
        return totalNumFeeToPaid;
    }

    public void setTotalNumFeeToPaid(Long totalNumFeeToPaid) {
        this.totalNumFeeToPaid = totalNumFeeToPaid;
    }

    public Long getTotalNumFeeCondonadas() {
        return totalNumFeeCondonadas;
    }

    public void setTotalNumFeeCondonadas(Long totalNumFeeCondonadas) {
        this.totalNumFeeCondonadas = totalNumFeeCondonadas;
    }

    public Double getTotalFeePaid() {
        return totalFeePaid;
    }

    public void setTotalFeePaid(Double totalFeePaid) {
        this.totalFeePaid = totalFeePaid;
    }

    public Double getTotalFeeToPaid() {
        return totalFeeToPaid;
    }

    public void setTotalFeeToPaid(Double totalFeeToPaid) {
        this.totalFeeToPaid = totalFeeToPaid;
    }

    public int getNumAvisos() {
        return numAvisos;
    }

    public void setNumAvisos(int numAvisos) {
        this.numAvisos = numAvisos;
    }

    public String getClasificacion() {
        if (numFee < 3) {
            return "Diamante";
        }
        if (numFee < 5) {
            return "Oro";
        }
        if (numFee < 9) {
            return "Plata";
        }
        if (numFee < 13) {
            return "Bronce";
        }

        return "Malo";
    }

}
